Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 
Daniel_Larsson
Employee
Employee

Qlik Sense Enterprise Scalability Tools

Note: Our legacy performance testing offering can be found here: Qlik Sense Scalability Tools.

The Qlik Sense Enterprise Scalability Tools are used to create and run load and performance tests towards Qlik Sense Enterprise for Windows (QSEfW).

Included parts are:

  • Documentation on how to use the package
  • Command line tool for Windows, Mac and Linux. This command line tool (gopherciser) is open source and can be found here .
  • GUI for Windows, Mac and Linux.

Downloadable files can be found here:
📎 Qlik Sense Enterprise Scalability Tools 


Qlik Sense documents to help analyze result and log files can be found here :https://community.qlik.com/docs/DOC-15451

Change log

v1.10.2 - v1.11.0

  • Support for Feb 2024 Sense release
  • Gopherciser v0.17.21 -> v0.17.26
    • Bugfixes
    • Report sub hypercube errors as errors instead of warnings (unless calculation condition)

v1.10.1 - v1.10.2

  • Rebranded with new Qlik Logo

v1.10.0 - v1.10.1

  • Gopherciser v0.17.7 -> v0.17.21
    • Added support for layout container object
    • Added support for new pivot table
    • Added support for sn-text object
    • Added support for sn-table object
    • Added support for sn-shape object
    • Added hyper cube sub-errors as warnings (These warnings will become errors in v1.11.0)

v1.9.0 - v1.10.0

  • Gopherciser v0.17.7 -> v0.17.11
    • Open Hub Api compliance August 2023 release
    • Open App Api compliance August 2023 release

v1.8.0 - v.1.9.0

  • Updated scheduler
  • Updated reglog
  • Gopherciser v0.17.4 -> v0.17.7
    • Changed parameters for prometheus push gateway
    • bugfixes

v1.7.0-v1.8.0

  • Updated scheduler
  • Gopherciser v0.17.0 -> v0.17.4
    • Configurable max websocket frame size
    • Improved disonnect discoverability
    • Add in-mem Get app structure method
    • [Apicompliance] openapp
    • Bugfixes

v1.6.0 - v1.7.0

  • New installer - Option for personal install which should solve issues with "Administrator" privileges.
  • Updated scheduler
  • Gopherciser v0.16.2 -> v0.17.0
    • Bugfixes
    • Add option to print result json to script validate command
    • Updated api compliance for openhub action.
  •  
  •  

Your use of Qlik Sense Enterprise Scalability Tools will be subject to the same license agreement between you and Qlik for your Qlik Sense License. Qlik does not provide maintenance and support services for the Qlik Sense Enterprise Scalability Tools, however please check QlikCommunity for additional information on use of these products.

Labels (2)
99 Replies
Michael_Terenzi
Partner Ambassador
Partner Ambassador

Has anyone been able to integrate this with SAML authentication? Is it possible even with some customization? Redhat SSO for example. 

Daniel_Larsson
Employee
Employee
Author

Hi,

I have not heard of anyone implementing this and we do not have any plans to do so.

To add support probably a new authentication action is needed. This can be done in golang code, either by making fork of the opensource engine for the tools and implementing the action (if intention is to contribute it back)
https://github.com/qlik-oss/gopherciser/

Or for purely custom and internal usage for a customer, a fork of this template repo to make a customer specific tool using the same engine (gopherciser) and adding a custom action there (if intention is to not contribute it back)
https://github.com/qlik-oss/gopherciser-extended-example

 

 

shashank5411
Contributor
Contributor

Hi, 

I am working with qlik sense Nov 22 version installed on windows servers , i was using the Qlik sense enterprise scalability tool 1.7 to run some tests. It was all fine until we had to install a patch on the qlik sense enterprise (patch 12)  I am not able to connect to the site and run tests post this patching. Any suggestions workarounds/alternatives  to make this work? 

I also tried the newer version of the qsest1.8 , faced the same problem..

Thank you,

Shashank 

Sebastian_Fredenberg

Hi, 

I suspect that the reason is a change in allowed headernames for the virtual proxy. On that patch, headers that start with "X-Qlik" will not be accepted. So, if you use header authentication you will need to change the name of those headers in QMC and the tools to something else, for example X-Sense-User.

https://community.qlik.com/t5/Release-Notes/Sense-Enterprise-on-Windows-Release-Notes-November-2022-...

Best Regards
Sebastian

guyguymalone
Partner - Contributor
Partner - Contributor

Where may I find the list of supported operating systems?

Daniel_Larsson
Employee
Employee
Author

There's a build for Windows, Mac and Linux, one zip for each can be seen in the download link. We haven't had any reports for any subflavors of those main OS's which doesn't work.

radblazejc
Contributor II
Contributor II

Could you add there install file for QlikSENSE version August-2023

Daniel_Larsson
Employee
Employee
Author

Earlier versions of the tools can be found in the "Previous versions" at same download link.

John-Harald
Contributor
Contributor

Hi, is the link to download broken? I just get a error saying that link has expired.

Daniel_Larsson
Employee
Employee
Author

yes link expire yesterday, it has now been updated and should work again